### Enumeration

# Qmi UimSecurityAttribute

since: 1.6

#### Declaration

    flags Qmi.UimSecurityAttribute

#### Description [src]

Security Attributes.

Available since: 1.6

#### Members

`QMI_UIM_SECURITY_ATTRIBUTE_PIN1`

  PIN1.

  - Value: `1`
  - Available since: 1.6
`QMI_UIM_SECURITY_ATTRIBUTE_PIN2`

  PIN2.

  - Value: `2`
  - Available since: 1.6
`QMI_UIM_SECURITY_ATTRIBUTE_UPIN`

  UPIN.

  - Value: `4`
  - Available since: 1.6
`QMI_UIM_SECURITY_ATTRIBUTE_ADM`

  ADM.

  - Value: `8`
  - Available since: 1.6

#### Type functions

###### qmi_uim_security_attribute_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiUimSecurityAttribute` in `mask`.

since: 1.6